| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Enumerations | Functions
oyObserver_s.h File Reference
`#include <oyranos_object.h>`
`#include <oyranos_definitions.h>`
`#include "oyStruct_s.h"`

## Data Structures
struct | oyObserver_s
| Oyranos object observers. More...

## Macros
#define | OY_SIGNAL_BLOCK 0x01

## Enumerations
enum | oySIGNAL_e { , oySIGNAL_CONNECTED, oySIGNAL_RELEASED, oySIGNAL_DATA_CHANGED, oySIGNAL_STORAGE_CHANGED, oySIGNAL_INCOMPATIBLE_DATA, oySIGNAL_INCOMPATIBLE_OPTION, oySIGNAL_INCOMPATIBLE_CONTEXT , oySIGNAL_USER3 }
| observer signalsThe signal types are similiar to the graph event enum oyCONNECTOR_EVENT_e. More...

## Functions
const char * | oySignalToString (oySIGNAL_e signal_type)

## Detailed Description

[Template file inheritance graph] +– oyObserver_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/05

## Macro Definition Documentation

#define OY_SIGNAL_BLOCK 0x01

do not send new signals

## Function Documentation

const char* oySignalToString | ( | oySIGNAL_e | signal_type | ) |

< connection established

< released the connection

< call to update image views

< new data accessors

< can not process image

< can not handle option

< can not handle profile

< more signal types are possible

References oySIGNAL_CONNECTED, oySIGNAL_DATA_CHANGED, oySIGNAL_INCOMPATIBLE_CONTEXT, oySIGNAL_INCOMPATIBLE_DATA, oySIGNAL_INCOMPATIBLE_OPTION, oySIGNAL_RELEASED, oySIGNAL_STORAGE_CHANGED, and oySIGNAL_USER3.

Referenced by oyObserver_s::oyStruct_ObserverSignal().